Admin APIViews
List Columns in View
Retrieve a list of columns in a view for an entity. The columns are retrieved for the authenticated admin user.
AuthorizationBearer <token>
In: header
Path Parameters
entity*string
The entity to retrieve its columns (for example, orders)
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X GET "https://{tenant}.api.myxclade.com/admin/views/string/columns"{
"columns": [
{
"id": "string",
"name": "string",
"description": "string",
"field": "string",
"sortable": true,
"hideable": true,
"default_visible": true,
"data_type": "string",
"semantic_type": "string",
"context": "string",
"computed": {
"type": "string",
"required_fields": [
"string"
],
"optional_fields": [
"string"
]
},
"relationship": {
"entity": "string",
"field": "string"
},
"default_order": 0,
"category": "status"
}
]
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}Remove View Configurations
Remove view configurations of an entity. An admin user can only delete their own configurations.
List View Configurations
Retrieve a list of view configurations of an entity. The configurations can be filtered by fields like `id`. The configurations can also be paginated. An admin user can only retrieve their own configurations.